## nvidia-graphics-drivers-tesla 515.86.01

=== debian/changelog ===
nvidia-graphics-drivers-tesla (515.86.01-1) unstable; urgency=medium

  * Rebuild as Tesla driver.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 27 Jan 2023 18:39:16 +0100

nvidia-graphics-drivers (515.86.01-1) unstable; urgency=medium

  * New upstream production branch release 515.86.01 (2022-11-22).
    * Fixed CVE-2022-34670, CVE-2022-34673, CVE-2022-34674, CVE-2022-34675,
      CVE-2022-34677, CVE-2022-34679, CVE-2022-34680, CVE-2022-34682,
      CVE-2022-34684, CVE-2022-42254, CVE-2022-42255, CVE-2022-42256,
      CVE-2022-42257, CVE-2022-42258, CVE-2022-42259, CVE-2022-42263,
      CVE-2022-42264, CVE-2022-42265.  (Closes: #1025279)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5415
    - Fixed a regression in 515.76 that caused blank screens and hangs when
      starting an X server on RTX 30 series GPUs in some configurations where
      the boot display is connected via HDMI.
    - Fixed a bug where Marvel's Spider-Man Remastered would sometimes crash
      with Xid 13 errors on Turing and later.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update symbols files.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 27 Jan 2023 12:00:08 +0100

nvidia-graphics-drivers (515.76-1) experimental; urgency=medium

  * New upstream production branch release 515.76 (2022-09-20).
    - Turing and later: fixed possible excessive GPU power draw on an idle
      X11 or Wayland desktop when driving high resolutions or refresh rates.
    * Improved compatibility with recent Linux kernels.
  * New upstream Tesla release (amd64 only) 515.65.07 (2022-10-19).

  [ Andreas Beckmann ]
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 25 Jan 2023 10:55:31 +0100

nvidia-graphics-drivers-tesla (515.65.01-1) experimental; urgency=medium

  * Rebuild as Tesla driver.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Jan 2023 19:03:49 +0100

nvidia-graphics-drivers (515.65.01-1) experimental; urgency=medium

  * New upstream production branch release 515.65.01 (2022-08-02).
    - Fixed a bug that caused the X server to hang when VT-switching with
      stereo enabled.
    - Fixed an issue that caused OpenGL applications to be unresponsive in SLI
      Mosaic mode with no monitors enabled on the primary GPU.
    * Improved compatibility with recent Linux kernels.
  * New upstream production branch release 515.57 (2022-06-28).
    - Fixed a bug that could cause some graphics applications to crash when
      they are started while nvidia-drm.ko is not loaded.
    - Fixed an issue where NvFBC could return an incorrect frame if a capture
      request timed out.
    - Fixed an issue where NvFBC direct capture would wait for multiple queued
      frames to finish rendering, instead of returning the next rendered
      frame.
    - Added support for NvFBC direct capture to composite the mouse cursor
      onto frames.
    - Fixed an issue where Vulkan direct to display could not drive more than
      4 displays from a single VkInstance.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Apply kernel module patches at package build time.
  * Add versioned Provides: nvidia-kernel-dkms-any.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Jan 2023 15:28:09 +0100

nvidia-graphics-drivers-tesla (515.48.07-2) experimental; urgency=medium

  * Rebuild as Tesla driver.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Jan 2023 13:42:59 +0100

nvidia-graphics-drivers (515.48.07-3) experimental; urgency=medium

  * Merge changes from 510.108.03-3.
  * Extract nv-readme-open.ids from README.
  * nvidia-detect: Report GPUs that can be used with the open kernel module.
  * Allow nvidia-open-kernel-dkms as alternative to nvidia-kernel-dkms.
  * nvidia-alternative: Register another alternative if
    nvidia-open-kernel-dkms is available.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 Jan 2023 02:46:43 +0100

nvidia-graphics-drivers-tesla (515.48.07-1) experimental; urgency=medium

  * Rebuild as Tesla driver.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Dec 2022 00:50:05 +0100

nvidia-graphics-drivers (515.48.07-2) experimental; urgency=medium

  * Merge changes from 510.108.03-1.
  * Backport find_vma_intersection from 515.57 and num_registered_fb changes
    from 515.76 to fix kernel module build for Linux 6.1.
  * libcuda1: Add Provides: libcuda-11.7-1{,-i386}.
  * Put the kernel module patches under Expat license.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 14 Dec 2022 02:10:26 +0100

nvidia-graphics-drivers (515.48.07-1) experimental; urgency=medium

  * New upstream production branch release 515.48.07 (2022-05-31).
    - Improved performance of GLX and Vulkan applications running in
      gamescope.
    - Added a "kernelopen" feature tag to the supported-gpus.json file,
      to indicate which GPUs are compatible with open-gpu-kernel-modules.
    - Improved Vulkan swapchain creation failure reporting. Applications can
      use the VK_EXT_debug_utils extension to receive additional information
      when an error was encountered in vkCreateSwapchainKHR().
  * New upstream beta 515.43.04 (2022-05-11).
    - Published the source code to a variant of the NVIDIA Linux kernel
      modules dual-licensed as MIT/GPLv2. The source is available here:
          https://github.com/NVIDIA/open-gpu-kernel-modules
      and will be updated each driver release. Please see the "Open
      Linux Kernel Modules" chapter in the README for details.
    - Added support for the VK_EXT_external_memory_dma_buf and
      VK_EXT_image_drm_format_modifier Vulkan extensions. To use this
      functionality, the nvidia-drm kernel module must be loaded with DRM KMS
      mode setting enabled. See the DRM KMS section of the README for guidance
      on enabling mode setting.
    - Changed nvidia-suspend.service, nvidia-resume.service, and
      nvidia-hibernate.service to use WantedBy= rather than RequiredBy=

