=== debian/control ===
# NOTE: This file is generated from debian/control.in. To regenerate,
# run `make -f debian/rules debian/control'.
Source: nvidia-graphics-drivers-tesla
Section: non-free/libs
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b tesla/515
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 dh-sequence-dkms,
 dh-dkms (>= 3.0.3-4~),
 dh-exec,
 libnvidia-egl-wayland1,
 libvulkan1 (>= 1.0.42),
 libxext6,
 po-debconf,
 quilt,
 xz-utils,
 linux-headers-amd64 [amd64] <!nocheck>,
 linux-headers-arm64 [arm64] <!nocheck>,
 linux-headers-powerpc64le [ppc64el] <!nocheck>,
 libglvnd-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://www.nvidia.com
Testsuite: autopkgtest-pkg-dkms
XS-Autobuild: yes

Package: nvidia-tesla-driver
Section: non-free/x11
Architecture: amd64 arm64 ppc64el
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
Depends:
 ${nvidia}-driver-libs (= ${binary:Version}),
 ${nvidia}-driver-bin (= ${binary:Version}),
 xserver-xorg-video-${nvidia} (= ${binary:Version}),
 ${nvidia}-vdpau-driver (= ${binary:Version}),
 ${nvidia}-alternative (= ${binary:Version}),
 ${nvidia:kmod:binary},
 nvidia-support,
 ${misc:Depends}
Recommends:
 ${nvidia-settings},
 lib${nvidia}-cfg1 (= ${binary:Version}),
 nvidia-persistenced,
Suggests:
 ${nvidia:kmod:source},
Provides:
 nvidia-driver-any,
 nvidia-glx-any,
Description: NVIDIA metapackage${nvidia:VariantDesc}
 This metapackage depends on the NVIDIA binary driver and libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES/Vulkan applications via a direct-rendering X Server.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: nvidia-tesla-alternative
Architecture: i386 amd64 arm64 ppc64el
Multi-Arch: foreign
Pre-Depends:
 dpkg (>= 1.17.21),
 ${nvidia:legacy-check},
 ${misc:Pre-Depends}
Depends:
 glx-alternative-nvidia (>= 1.2),
 ${misc:Depends}
Provides:
 nvidia-alternative-any,
 ${nvidia}-alternative--kmod-alias,
 ${nvidia}-alternative-${nvidia:Version},
Conflicts:
 libglvnd0-nvidia,
 libopengl0-glvnd-nvidia,
 libglx0-glvnd-nvidia,
 libgl1-glvnd-nvidia-glx,
 libegl1-glvnd-nvidia,
 libgles1-glvnd-nvidia,
 libgles2-glvnd-nvidia,
Description: allows the selection of NVIDIA as GLX provider${nvidia:VariantDesc}
 In setups with several NVIDIA driver versions installed (e.g. current and
 legacy) this metapackage registers an alternative to allow easy switching
 between the different versions.
 .
 Use 'update-glx --config nvidia' to select a version.
 .
 This package does not depend on the corresponding NVIDIA libraries.
 In order to install the NVIDIA driver and libraries, install the
 ${nvidia}-driver package instead.

Package: firmware-nvidia-tesla-gsp
Section: non-free/kernel
Architecture: amd64 arm64
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Provides:
 firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:archlist:gsp}],
 firmware-nvidia-gsp-${nvidia:Version} [${nvidia:archlist:gsp}],
Conflicts:
 firmware-nvidia-gsp-${nvidia:Version} [${nvidia:archlist:gsp}],
Description: NVIDIA GSP firmware${nvidia:VariantDesc}
 The GPU System Processor (GSP) was first introduced in the Turing
 architecture and supports accelerating tasks traditionally performed
 by the driver on the CPU.
 .
 This package provides the firmware to drive the GSP.

Package: nvidia-tesla-kernel-support
Section: non-free/kernel
Architecture: amd64 arm64 ppc64el
Multi-Arch: foreign
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${nvidia}-alternative--kmod-alias,
 nvidia-kernel-common (>= 20151021),
 nvidia-modprobe (>= ${nvidia:Version:major}),
 ${misc:Depends}
Provides:
 nvidia-kernel-support-any,
 ${nvidia-kernel}-support--v1,
Description: NVIDIA binary kernel module support files${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package provides supporting configuration for the kernel module.

Package: nvidia-tesla-kernel-dkms
Section: non-free/kernel
Architecture: amd64 arm64 ppc64el
Multi-Arch: foreign
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:archlist:gsp}] | firmware-nvidia-gsp-${nvidia:Version} [${nvidia:archlist:gsp}],
 ${nvidia-kernel}-support--v1,
 ${misc:Depends}
Recommends:
 ${nvidia}-driver (>= ${nvidia:Version})
 | ${libcuda1} (>= ${nvidia:Version}),
Provides:
 ${nvidia-kernel}-${nvidia:Version},
 nvidia-kernel-dkms-any (= ${nvidia:Version}),
Description: NVIDIA binary kernel module DKMS source${nvidia:VariantDesc}
 This package builds the NVIDIA binary kernel modules needed by
 ${nvidia}-driver, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel and automatically rebuilt for
 any new kernel headers that are installed.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia-kernel}-dkms/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: nvidia-tesla-kernel-source
Section: non-free/kernel
Architecture: amd64 arm64 ppc64el
Depends:
 debhelper-compat (= ${nvidia:debhelper-compat}),
 module-assistant,
 ${misc:Depends}
Recommends:
 firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:archlist:gsp}] | firmware-nvidia-gsp-${nvidia:Version} [${nvidia:archlist:gsp}],
 ${nvidia-kernel}-support--v1,
Suggests:
 ${nvidia}-driver (>= ${nvidia:Version}),
Description: NVIDIA binary kernel module source${nvidia:VariantDesc}
 This package provides the source for the NVIDIA binary kernel modules
 needed by ${nvidia}-driver in a form suitable
 for use by module-assistant.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 PLEASE read /usr/share/doc/${nvidia-kernel}-source/README.Debian.gz
 for building information. If you want the kernel module to be automatically
 installed via DKMS, install ${nvidia-kernel}-dkms instead.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia-kernel}-source/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: xserver-xorg-video-nvidia-tesla
Section: non-free/x11
Architecture: amd64 arm64 ppc64el
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 nvidia-support,
 ${nvidia:xorgDepends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver (>= ${nvidia:Version}),
 ${nvidia}-vdpau-driver (>= ${nvidia:Version}),
 ${nvidia:kmod:binary},
 ${nvidia-settings},
Suggests:
 ${nvidia:kmod:source},
Provides:
 xserver-xorg-video-nvidia-any,
 ${nvidia:xorgProvides},
Description: NVIDIA binary Xorg driver${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-tesla-legacy-check
Architecture: amd64 arm64 ppc64el
Multi-Arch: foreign
Pre-Depends:
 debconf | debconf-2.0,
 pciutils,
 nvidia-installer-cleanup (>= 20151021),
Depends:
 ${misc:Depends}
Description: check for NVIDIA GPUs requiring a legacy driver${nvidia:VariantDesc}
 This package checks whether the system contains NVIDIA GPUs that are no longer
 supported by the main driver line and require a legacy driver.
 .
 If such hardware is present, a (preseedable) debconf question will be asked to
 confirm the installation of the current driver line.

Package: nvidia-tesla-driver-bin
Section: non-free/x11
Architecture: amd64 arm64 ppc64el
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver,
Provides:
 nvidia-driver-bin-${nvidia:Version},
Conflicts:
 nvidia-driver-bin-${nvidia:Version},
Description: NVIDIA driver support binaries${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains supporting binaries for the driver.

Package: libnvidia-tesla-cfg1
Architecture: amd64 arm64 ppc64el
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-cfg.so.1 (= ${nvidia:Version}),
 libnvidia-cfg1-any,
Description: NVIDIA binary OpenGL/GLX configuration library${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains the libnvidia-cfg.so.1 runtime library.

Package: nvidia-tesla-driver-libs
Architecture: i386 amd64 arm64 ppc64el
Multi-Arch: same
Depends:
 libgl1-${nvidia}-glvnd-glx (= ${binary:Version}),
 ${nvidia}-egl-icd (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 ${nvidia}-driver-libs:i386 (= ${binary:Version}) [amd64],
 libopengl0 | libopengl0-glvnd-nvidia,
 libglx-${nvidia-}0 (= ${binary:Version}),
 libgles-${nvidia-}1 (= ${binary:Version}),
 libgles-${nvidia-}2 (= ${binary:Version}),
 lib${nvidia}-cfg1 (= ${binary:Version}) [${nvidia:archlist:driver}],
 lib${nvidia}-encode1 (= ${binary:Version}),
 ${nvidia}-vulkan-icd (= ${binary:Version}),
 lib${nvidia}-allocator1 (= ${binary:Version}),
Provides:
 nvidia-driver-libs-any,
Conflicts:
 libglvnd0-nvidia,
 libopengl0-glvnd-nvidia,
 libglx0-glvnd-nvidia,
 libgl1-glvnd-nvidia-glx,
 libegl1-glvnd-nvidia,
 libgles1-glvnd-nvidia,
 libgles2-glvnd-nvidia,
Breaks:
 ${nvidia}-driver-libs-nonglvnd,
 libgl1-${nvidia}-glx,
 libegl1-${nvidia},
 ${nvidia}-nonglvnd-vulkan-icd,
Description: NVIDIA metapackage (OpenGL/GLX/EGL/GLES libraries)${nvidia:VariantDesc}
 This metapackage depends on the NVIDIA binary libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server.

Package: libglx-nvidia-tesla0
Architecture: i386 amd64 arm64 ppc64el
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 libglx0 | libglx0-glvnd-nvidia,
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libglx-vendor,
Description: NVIDIA binary GLX library${nvidia:VariantDesc}
 GLX ("OpenGL Extension to the X Window System") provides an interface between
 OpenGL and the X Window System as well as extensions to OpenGL itself.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the driver specific binary GLX implementation by NVIDIA
 that is accessed via GLVND.

Package: libgl1-nvidia-tesla-glvnd-glx
Architecture: i386 amd64 arm64 ppc64el
Multi-Arch: same
Depends:
 libgl1 (>= 0.2.999) | libgl1-glvnd-nvidia-glx,
 libglx-${nvidia-}0 (= ${binary:Version}),
 ${misc:Depends}
Provides:
