## nvidia-graphics-drivers-tesla 525.105.17

=== debian/changelog ===
nvidia-graphics-drivers-tesla (525.105.17-2~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux AHS.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Jul 2023 13:17:02 -0700

nvidia-graphics-drivers-tesla (525.105.17-2) unstable; urgency=medium

  * Rebuild as Tesla driver.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 21 Jun 2023 00:46:04 +0200

nvidia-graphics-drivers (525.105.17-2) unstable; urgency=medium

  * Backport drm_driver_has_dumb_destroy changes from 525.116.03 to fix kernel
    module build for Linux 6.4.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 20 Jun 2023 16:21:51 +0200

nvidia-graphics-drivers-tesla (525.105.17-1) unstable; urgency=medium

  * New upstream production branch release 525.105.17 (2023-03-30).
    * Fixed CVE-2023-0184, CVE-2023-0189, CVE-2023-0180, CVE-2023-0183,
      CVE-2023-0185, CVE-2023-0187, CVE-2023-0198, CVE-2023-0199,
      CVE-2023-0188, CVE-2023-0190, CVE-2023-0194, CVE-2023-0195,
      CVE-2023-0191.  (Closes: #1033782)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5452
    - Fixed a bug that could cause excessive GPU power consumption at idle
      when driving multiple displays with a high refresh rate.
    - Fixed a bug in nvidia-powerd which could cause excessive CPU usage.
    - Fixed an issue which could cause applications to run at 1 FPS when
      using an NVIDIA PRIME Display Offload sink as the only active display.
    - Added compatibility for Linux kernels with Indirect Branch Tracking
      (IBT).

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 15 Apr 2023 22:33:13 +0200

nvidia-graphics-drivers (525.105.17-1) unstable; urgency=medium

  * New upstream production branch release 525.105.17 (2023-03-30).
    * Fixed CVE-2023-0184, CVE-2023-0189, CVE-2023-0180, CVE-2023-0183,
      CVE-2023-0185, CVE-2023-0187, CVE-2023-0198, CVE-2023-0199,
      CVE-2023-0188, CVE-2023-0190, CVE-2023-0194, CVE-2023-0195,
      CVE-2023-0191.  (Closes: #1033774)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5452
    - Fixed a bug that could cause excessive GPU power consumption at idle
      when driving multiple displays with a high refresh rate.
    - Fixed a bug in nvidia-powerd which could cause excessive CPU usage.
    - Fixed an issue which could cause applications to run at 1 FPS when
      using an NVIDIA PRIME Display Offload sink as the only active display.
    - Added compatibility for Linux kernels with Indirect Branch Tracking
      (IBT).

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.
  * Updated Turkish (tr) debconf translations by Atila KOÇ.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 15 Apr 2023 10:33:15 +0200

nvidia-graphics-drivers (525.89.02-2) unstable; urgency=medium

  * Add libnvidia-nvvm.so.#VERSION# alternative, needed by nvidia-opencl-icd.
    (Closes: #1030336)
  * Prevent co-installation with EoL drivers.
  * Restrict watch file to releases from the 525.xx production branch.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Mar 2023 14:44:12 +0100

nvidia-graphics-drivers (525.89.02-1) unstable; urgency=medium

  * The firmware-nvidia-gsp package has been moved to the newly created
    'non-free-firmware' archive area. This area needs to be enabled in
    /etc/apt/sources.list (/etc/apt/sources.list.d/*.list) in addition to
    'non-free' in order to upgrade to the 525 driver series.
    https://www.debian.org/releases/bookworm/amd64/release-notes/ch-information.en.html#non-free-split
    (Closes: #1030981)

  * New upstream production branch release 525.89.02 (2023-02-08).
    - Fixed a bug that could cause banding or flickering of color
      gradients on DisplayPort monitors.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Fix nvngx.dll install location.  (Closes: #1031185)
  * nvidia-opencl-icd: Add dependency on libnvidia-nvvm4.  (Closes: #1031080)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Feb 2023 01:27:21 +0100

nvidia-graphics-drivers-tesla (525.85.12-1) unstable; urgency=medium

  * Rebuild as Tesla driver.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 09 Feb 2023 17:49:50 +0100

nvidia-graphics-drivers (525.85.12-1) unstable; urgency=medium

  * New upstream production branch release 525.85.12 (2023-01-30).
  * New upstream production branch release 525.85.05 (2023-01-19).
    - Improved the reliability of suspend and resume on UEFI systems
      when using certain display panels.
    - Fixed a bug that could cause VK_ERROR_DEVICE_LOST when using
      VK_MEMORY_ALLOCATE_DEVICE_ADDRESS_CAPTURE_REPLAY_BIT to allocate
      memory.
  * New upstream production branch release 525.78.01 (2023-01-05).
    - Fixed a regression that prevented the G-SYNC/G-SYNC Compatible Visual
      Indicator from being displayed when running Vulkan X11 applications.
    - Fixed a bug where usage of VK_KHR_present_id could cause applications to
      crash with Xid 32 errors.
    - Fixed excess CPU usage in hybrid graphics configurations where an
      external display is connected to an NVIDIA discrete GPU and configured
      as a PRIME Display Offload sink (also known as "Reverse Prime").
  * New upstream release 470 series.
    - Disabled Fixed Rate Link (FRL) when using passive DisplayPort
      to HDMI dongles, which are incompatible with FRL.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.  (Closes: #1028496)
  * libcuda1: Add Provides: libcuda-12.0-1.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 09 Feb 2023 10:30:00 +0100

nvidia-graphics-drivers-tesla (525.60.13-1) experimental; urgency=medium

  * Rebuild as Tesla driver.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 Feb 2023 22:02:59 +0100

nvidia-graphics-drivers (525.60.13-1) experimental; urgency=medium

  * New upstream production branch release 525.60.13 (2022-12-05).

