=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Source: nvidia-graphics-drivers-tesla
 Section: non-free/libs
 Priority: optional
-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Xsbc-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
-Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b tesla/515
+Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b tesla/525
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
@@ -91,6 +92,13 @@
  libegl1-glvnd-nvidia,
  libgles1-glvnd-nvidia,
  libgles2-glvnd-nvidia,
+ nvidia-legacy-304xx-alternative,
+ nvidia-legacy-340xx-alternative,
+ nvidia-legacy-390xx-alternative,
+ nvidia-tesla-418-alternative,
+ nvidia-tesla-450-alternative,
+ nvidia-tesla-460-alternative,
+ nvidia-tesla-510-alternative (<< 510.108.03-4),
 Description: allows the selection of NVIDIA as GLX provider${nvidia:VariantDesc}
  In setups with several NVIDIA driver versions installed (e.g. current and
  legacy) this metapackage registers an alternative to allow easy switching
@@ -103,7 +111,7 @@
  ${nvidia}-driver package instead.
 
 Package: firmware-nvidia-tesla-gsp
-Section: non-free/kernel
+Section: non-free-firmware/kernel
 Architecture: amd64 arm64
 Multi-Arch: foreign
 Depends:
@@ -173,6 +181,9 @@
  for a complete list of supported GPUs and PCI IDs.
  .
  Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.
+ .
+ Note: The new 'non-free-firmware' archive area has to be enabled in apt's
+ sources.list(.d/) in order to install firmware-${nvidia}-gsp.
 
 Package: nvidia-tesla-kernel-source
 Section: non-free/kernel
@@ -344,18 +355,3 @@
  GLX ("OpenGL Extension to the X Window System") provides an interface between
  OpenGL and the X Window System as well as extensions to OpenGL itself.
  .
- See the description of the ${nvidia}-driver package
- or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
- for a complete list of supported GPUs and PCI IDs.
- .
- This package contains the driver specific binary GLX implementation by NVIDIA
- that is accessed via GLVND.
-
-Package: libgl1-nvidia-tesla-glvnd-glx
-Architecture: i386 amd64 arm64 ppc64el
-Multi-Arch: same
-Depends:
- libgl1 (>= 0.2.999) | libgl1-glvnd-nvidia-glx,
- libglx-${nvidia-}0 (= ${binary:Version}),
- ${misc:Depends}
-Provides:
