## nvidia-graphics-drivers-tesla 525.125.06

=== debian/changelog ===
nvidia-graphics-drivers-tesla (525.125.06-3~mx21ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Nov 2023 20:50:21 -0800

nvidia-graphics-drivers-tesla (525.125.06-3) unstable; urgency=medium

  * nvidia-suspend-common: New package for the systemd power management
    integration scripts.  (Closes: #1038006)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 15 Nov 2023 19:43:51 +0100

nvidia-graphics-drivers (525.125.06-3) unstable; urgency=medium

  * Backport drm_gem_prime_handle_to_fd changes from 470.223.02 to fix kernel
    module build for Linux 6.6.
  * Switch suggestion from obsolete vulkan-utils to vulkan-tools.
    (Closes: #1055503)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 15 Nov 2023 19:23:06 +0100

nvidia-graphics-drivers-tesla (525.125.06-2) unstable; urgency=medium

  * Rebuild as Tesla driver.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Aug 2023 03:22:25 +0200

nvidia-graphics-drivers (525.125.06-2) unstable; urgency=medium

  * Backport get_user_pages and pin_user_pages changes from
    535.86.05 to fix kernel module build for Linux 6.5.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Aug 2023 00:34:55 +0200

nvidia-graphics-drivers-tesla (525.125.06-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 18:07:03 +0200

nvidia-graphics-drivers-tesla (525.125.06-1) unstable; urgency=medium

  * New upstream production branch release 525.125.06 (2023-05-09).
    * Fixed CVE-2023-25515, CVE-2023-25516.  (Closes: #1039685)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5468
    - Fixed a bug which prevented running a Wayland compositor in headless
      mode on GPUs without display hardware.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 16:56:19 +0200

nvidia-graphics-drivers (525.125.06-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 16:16:16 +0200

nvidia-graphics-drivers (525.125.06-1) unstable; urgency=medium

  * New upstream production branch release 525.125.06 (2023-06-26).
    * Fixed CVE-2023-25515, CVE-2023-25516.  (Closes: #1039678)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5468
    - Fixed a bug which prevented running a Wayland compositor in headless
      mode on GPUs without display hardware.
    * Fixed undisclosed bugs.  (Closes: #1037468)

  [ Andreas Beckmann ]
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 09:52:32 +0200

nvidia-graphics-drivers (525.116.04-1) unstable; urgency=medium

  * New upstream production branch release 525.116.04 (2023-05-09).
  * New upstream production branch release 525.116.03 (2023-04-25).
    - Fixed a regression in Luxmark performance between 525.89.02 and
      525.105.17.
    - Fixed a bug that could cause an unexpected
      VK_ERROR_NATIVE_WINDOW_IN_USE_KHR error in certain circumstances when
      recreating Vulkan surfaces.
    - Fixed a regression that caused brightness control to not vary
      smoothly across the range of values.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Jun 2023 01:19:51 +0200

nvidia-graphics-drivers-tesla-470 (470.199.02-4) unstable; urgency=medium

  * Refuse to load module if IBT is enabled.  (Closes: #1052069)
  * Switch suggestion from obsolete vulkan-utils to vulkan-tools
    (525.125.06-3).  (Closes: #1055503)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 15 Nov 2023 09:41:22 +0100

nvidia-graphics-drivers-tesla-470 (470.199.02-3) unstable; urgency=medium

  * Revert backport of pin_user_pages changes.
  * Backport drm_gem_prime_handle_to_fd changes from 470.223.02 to fix kernel
    module build for Linux 6.6.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 Nov 2023 12:03:43 +0100

nvidia-graphics-drivers-tesla-470 (470.199.02-2) unstable; urgency=medium

  * Backport get_user_pages and pin_user_pages changes from 520.56.06,
    525.53 and 535.86.05 to fix kernel module build for Linux 6.5.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Aug 2023 20:12:16 +0200

nvidia-graphics-drivers-tesla-470 (470.199.02-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Jul 2023 16:05:23 +0200

nvidia-graphics-drivers-tesla-470 (470.199.02-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Jul 2023 15:47:40 +0200

nvidia-graphics-drivers-tesla-470 (470.199.02-1) unstable; urgency=medium

  * New upstream production branch release 470.199.02 (2023-06-26).
    * Fixed CVE-2023-25515, CVE-2023-25516.  (Closes: #1039684)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5468
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Jul 2023 15:06:22 +0200

nvidia-graphics-drivers (470.199.02-1) bullseye; urgency=medium

  * New upstream production branch release 470.199.02 (2023-06-26).
    * Fixed CVE-2023-25515, CVE-2023-25516.  (Closes: #1039678)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5468
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Upload to bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Jul 2023 14:44:10 +0200

nvidia-graphics-drivers-tesla-460 (460.106.00-13) UNRELEASED; urgency=medium

  * Revert backport of pin_user_pages changes.
  * Backport drm_gem_prime_handle_to_fd changes from 470.223.02 to fix kernel
    module build for Linux 6.6.
  * Refuse to load module if IBT is enabled.
  * Switch suggestion from obsolete vulkan-utils to vulkan-tools
    (525.125.06-3).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 14 Nov 2023 17:03:30 +0100


