=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Section: non-free/libs
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-Xsbc-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b tesla/525
+Homepage: https://www.nvidia.com
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
@@ -26,11 +28,9 @@
  linux-headers-arm64 [arm64] <!nocheck>,
  linux-headers-powerpc64le [ppc64el] <!nocheck>,
  libglvnd-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Homepage: https://www.nvidia.com
 Testsuite: autopkgtest-pkg-dkms
 XS-Autobuild: yes
+Xsbc-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 
 Package: nvidia-tesla-driver
 Section: non-free/x11
@@ -80,10 +80,6 @@
 Depends:
  glx-alternative-nvidia (>= 1.2),
  ${misc:Depends}
-Provides:
- nvidia-alternative-any,
- ${nvidia}-alternative--kmod-alias,
- ${nvidia}-alternative-${nvidia:Version},
 Conflicts:
  libglvnd0-nvidia,
  libopengl0-glvnd-nvidia,
@@ -98,7 +94,11 @@
  nvidia-tesla-418-alternative,
  nvidia-tesla-450-alternative,
  nvidia-tesla-460-alternative,
- nvidia-tesla-510-alternative (<< 510.108.03-4),
+ nvidia-tesla-510-alternative,
+Provides:
+ nvidia-alternative-any,
+ ${nvidia}-alternative--kmod-alias,
+ ${nvidia}-alternative-${nvidia:Version},
 Description: allows the selection of NVIDIA as GLX provider${nvidia:VariantDesc}
  In setups with several NVIDIA driver versions installed (e.g. current and
  legacy) this metapackage registers an alternative to allow easy switching
@@ -116,10 +116,10 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends}
+Conflicts:
+ firmware-nvidia-gsp-${nvidia:Version} [${nvidia:archlist:gsp}],
 Provides:
  firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:archlist:gsp}],
- firmware-nvidia-gsp-${nvidia:Version} [${nvidia:archlist:gsp}],
-Conflicts:
  firmware-nvidia-gsp-${nvidia:Version} [${nvidia:archlist:gsp}],
 Description: NVIDIA GSP firmware${nvidia:VariantDesc}
  The GPU System Processor (GSP) was first introduced in the Turing
@@ -232,6 +232,7 @@
  ${nvidia}-driver (>= ${nvidia:Version}),
  ${nvidia}-vdpau-driver (>= ${nvidia:Version}),
  ${nvidia:kmod:binary},
+ nvidia-suspend-common,
  ${nvidia-settings},
 Suggests:
  ${nvidia:kmod:source},
@@ -250,6 +251,16 @@
  See /usr/share/doc/${nvidia}-driver/README.txt.gz
  for a complete list of supported GPUs and PCI IDs.
 
+Package: nvidia-suspend-common
+Section: non-free/x11
+Architecture: amd64 arm64 ppc64el
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends}
+Description: NVIDIA driver - systemd power management scripts
+ This package provides the common files for the NVIDIA power management
+ integration with systemd.
+
 Package: nvidia-tesla-legacy-check
 Architecture: amd64 arm64 ppc64el
 Multi-Arch: foreign
@@ -274,9 +285,9 @@
  ${shlibs:Depends}, ${misc:Depends}
 Recommends:
  ${nvidia}-driver,
-Provides:
+Conflicts:
  nvidia-driver-bin-${nvidia:Version},
-Conflicts:
+Provides:
  nvidia-driver-bin-${nvidia:Version},
 Description: NVIDIA driver support binaries${nvidia:VariantDesc}
  The NVIDIA binary driver provides optimized hardware acceleration of
@@ -320,8 +331,6 @@
  lib${nvidia}-encode1 (= ${binary:Version}),
  ${nvidia}-vulkan-icd (= ${binary:Version}),
  lib${nvidia}-allocator1 (= ${binary:Version}),
-Provides:
- nvidia-driver-libs-any,
 Conflicts:
  libglvnd0-nvidia,
  libopengl0-glvnd-nvidia,
@@ -335,6 +344,8 @@
  libgl1-${nvidia}-glx,
  libegl1-${nvidia},
  ${nvidia}-nonglvnd-vulkan-icd,
+Provides:
+ nvidia-driver-libs-any,
 Description: NVIDIA metapackage (OpenGL/GLX/EGL/GLES libraries)${nvidia:VariantDesc}
  This metapackage depends on the NVIDIA binary libraries
  that provide optimized hardware acceleration of
@@ -348,10 +359,3 @@
 Depends:
  ${nvidia}-alternative (= ${binary:Version}),
  libglx0 | libglx0-glvnd-nvidia,
- ${shlibs:Depends}, ${misc:Depends}
-Provides:
- libglx-vendor,
-Description: NVIDIA binary GLX library${nvidia:VariantDesc}
- GLX ("OpenGL Extension to the X Window System") provides an interface between
- OpenGL and the X Window System as well as extensions to OpenGL itself.
- .
